body.ib-productivity-timer-theme {
    margin: 0;
    padding: 0;
    height: 100vh;
}

body.ib-productivity-timer-theme * {
    font-family: sans-serif;
}

body.ib-productivity-timer-theme header,
body.ib-productivity-timer-theme main,
body.ib-productivity-timer-theme main section,
body.ib-productivity-timer-theme footer {
    width: 100%;
}

body.ib-productivity-timer-theme, 
body.ib-productivity-timer-theme header, 
body.ib-productivity-timer-theme main, 
body.ib-productivity-timer-theme main #result-section,
body.ib-productivity-timer-theme footer {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
}

body.ib-productivity-timer-theme header h1 {
    font-size: 25px;
    margin: 5px;
}

body.ib-productivity-timer-theme main, 
body.ib-productivity-timer-theme main #result-section {
    flex-grow: 1;
}

body.ib-productivity-timer-theme main #result-section {
    justify-content: center;
}

body.ib-productivity-timer-theme main #result-section p {
    margin: 5px;
}

body.ib-productivity-timer-theme label {
    margin-top: 5px;
}

body.ib-productivity-timer-theme button {
    opacity: 1;
    border: none;
    border-radius: 5px;
    box-shadow: 0 1px 6px rgb(0 0 0 / 12%), 0 1px 4px rgb(0 0 0 / 24%);
    color: white;
    padding: 15px 32px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    cursor: pointer;
    margin: 10px;
}

body.ib-productivity-timer-theme button:hover {
    opacity: 0.8;
}

body.ib-productivity-timer-theme button.button-green {
    background-color: #4CAF50; /* Green */
}

body.ib-productivity-timer-theme button.button-red {
    background-color: #ff3c00; /* Red */
}

body.ib-productivity-timer-theme button.button-blue {
    background-color: #0011ff; /* Red */
}

body.ib-productivity-timer-theme main #actions-section {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    width: 60%;
    align-items: center;
}

body.ib-productivity-timer-theme main #result-section #time-p {
    font-size: 30px;
}

body.ib-productivity-timer-theme main #result-section #usd-earned-p {
    font-size: 20px;
}

body.ib-productivity-timer-theme main #result-section #start-end-time-p,
body.ib-productivity-timer-theme main #result-section #usd-per-hour-p {
    font-size: 15px;
}

body.ib-productivity-timer-theme main #result-section #start-end-time-p {
    text-align: center;
}

body.ib-productivity-timer-theme main #result-section #start-end-time-p #start-time-span, 
body.ib-productivity-timer-theme main #result-section #start-end-time-p #end-time-span {
    font-weight: bold;
}

body.ib-productivity-timer-theme .hidden {
    display: none;
}

body.ib-productivity-timer-theme footer p {
    margin: 5px;
    text-align: center;
}